# This test verifies that there is an entry for the base object 

BEGIN { $| = 1; print "1..1\n"; }
END {print "not ok 1\n" unless $found}

use AddressBook;

my $ldap = AddressBook->new(source=>LDAP);
@base_components = split ",",$ldap->{base};
$filter = "(&";
foreach $component (@base_components) {
  $filter .= "(" . $component . ")";
}
$filter .= ")";
$mesg = $ldap->{ldap}->search(base=>$ldap->{base},filter=>$filter);
$count = $mesg->count;
if ($count == 0) {print "failed.\n"}
else {
  $found=1;
  print "ok 1\n";
}

